Name: org.apache.hadoop.fs.glusterfs-glusterfs
Version: 0.20.2_0.2
Release: 1
License: Apache
Summary: GlusterFS Hadoop Plugin
Group: Application/File

Source0: org.apache.hadoop.fs.glusterfs-glusterfs-0.20.2-0.2-sources.zip
Source1: glusterfs-0.20.2-0.2.pom
Source2: glusterfs-0.20.2-0.2.jar

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Gluster's Unified File and Object Storage unifies NAS and object storage
technology. This provides a system for data storage that enables users to access
the same data as an object and as a file, simplifying management and controlling
storage costs.

%prep

%build

%install
rm -rf %{buildroot}
/usr/bin/install -d %{buildroot}%{_javadir}
/usr/bin/install -d %{buildroot}%{_javadir}/poms
/usr/bin/install -d %{buildroot}%{_javadir}/zips
/usr/bin/install -d %{buildroot}%{_javadir}/conf

dd of=%{buildroot}%{_javadir}/conf/core-site.xml <<EOF
<?xml version="1.0"?>
<?xml-stylesheet type="text/xsl" href="configuration.xsl"?>

<!-- Put site-specific property overrides in this file. -->

<configuration>

  <property>
    <name>fs.glusterfs.impl</name>
    <value>org.apache.hadoop.fs.glusterfs.GlusterFileSystem</value>
  </property>

  <property>
    <name>fs.default.name</name>
    <value>glusterfs://192.168.1.36:9000</value>
  </property>

  <property>
    <name>fs.glusterfs.volname</name>
    <value>volume-dist-rep</value>
  </property>

  <property>
    <name>fs.glusterfs.mount</name>
    <value>/mnt/glusterfs</value>
  </property>

  <property>
    <name>fs.glusterfs.server</name>
    <value>192.168.1.36</value>
  </property>

  <property>
    <name>quick.slave.io</name>
    <value>Off</value>
  </property>

</configuration>
EOF
chmod 644 %{buildroot}%{_javadir}/conf/core-site.xml

/usr/bin/install -m 644 %{SOURCE0} %{buildroot}%{_javadir}/zips
/usr/bin/install -m 644 %{SOURCE1} %{buildroot}%{_javadir}/poms
/usr/bin/install -m 644 %{SOURCE2} %{buildroot}%{_javadir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_javadir}/poms
%dir %{_javadir}/zips
%dir %{_javadir}/conf

%{_javadir}/conf/core-site.xml
%{_javadir}/zips/org.apache.hadoop.fs.glusterfs-glusterfs-0.20.2-0.2-sources.zip
%{_javadir}/poms/glusterfs-0.20.2-0.2.pom
%{_javadir}/glusterfs-0.20.2-0.2.jar

%changelog
* Fri May 18 2012 Anthony Towns <atowns@redhat.com> - 0.20.2-0
- Initial build
